# Record Class VulkanLayerSettingIntegerUnsigned32

java.lang.Object
java.lang.Record
com.io7m.jcoronado.extensions.ext_layer_settings.api.VulkanLayerSettingIntegerUnsigned32

Record Components:
  `layerName` - The layer name
  `settingName` - The setting name
  `values` - The value list

All Implemented Interfaces:
  `VulkanLayerSettingType`

public record VulkanLayerSettingIntegerUnsigned32(String layerName, String settingName, List<Integer> values) extends Record implements VulkanLayerSettingType
An integer-typed setting.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VulkanLayerSettingIntegerUnsigned32(String layerName, String settingName, List<Integer> values)`
  An integer-typed setting.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `layerName()`
  Returns the value of the `layerName` record component.
  `String`
  `settingName()`
  Returns the value of the `settingName` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `List<Integer>`
  `values()`
  Returns the value of the `values` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VulkanLayerSettingIntegerUnsigned32

    public VulkanLayerSettingIntegerUnsigned32(String layerName, String settingName, List<Integer> values)
    An integer-typed setting.
    Parameters:
      `layerName` - The layer name
      `settingName` - The setting name
      `values` - The value list

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### layerName

    public String layerName()
    Returns the value of the `layerName` record component.
    Specified by:
      `layerName` in interface `VulkanLayerSettingType`
    Returns:
      the value of the `layerName` record component

  - ### settingName

    public String settingName()
    Returns the value of the `settingName` record component.
    Specified by:
      `settingName` in interface `VulkanLayerSettingType`
    Returns:
      the value of the `settingName` record component

  - ### values

    public List<Integer> values()
    Returns the value of the `values` record component.
    Specified by:
      `values` in interface `VulkanLayerSettingType`
    Returns:
      the value of the `values` record component